    Return the dimensions of the data set.

get_dims(id=None, filter=False)
id - int or str, optional
filter - bool, optional

Display the dimensions for the default data set:

>>> print(get_dims())

Find the number of bins in dataset 'a2543' without and with any filters applied to it:

>>> nall = get_dims('a2543') >>> nfilt = get_dims('a2543', filter=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
filter
If True then apply any filter to the data set before returning the dimensions. The default is False .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023